import '../../stencil.core';
export declare class Dialog {
    host: Element;
    index: number;
    confirmLabel: string;
    cancelLabel: string;
    continueLabel: string;
    allowClose: boolean;
    getOptions(): {
        confirmLabel: string;
        cancelLabel: string;
        continueLabel: string;
        allowClose: boolean;
        disableCloseBtn: boolean;
        hostElement: Element;
    };
    popup(options?: {}): void;
    notice(msg?: string, options?: {}): void;
    alert(msg?: string, options?: {}): void;
    confirm(msg?: string, calllback?: () => void, options?: {}): void;
    render(): JSX.Element;
}
